Skip to main content
PUT
/
api
/
v3
/
channels
/
{channelId}
/
users
/
ban
ban channel users
curl --request PUT \
  --url https://apix.us.amity.co/api/v3/channels/{channelId}/users/ban \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userIds": [
    "<string>"
  ]
}
'
{ "channels": [ { "channelId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "<string>", "path": "<string>", "channelInternalId": "<string>", "channelPublicId": "<string>", "isDistinct": true, "metadata": {}, "type": "standard", "tags": [ "<string>" ], "isMuted": true, "isRateLimited": true, "muteTimeout": "2023-11-07T05:31:56Z", "rateLimit": 123, "rateLimitWindow": 123, "rateLimitTimeout": "2023-11-07T05:31:56Z", "displayName": "<string>", "messageAutoDeleteEnabled": true, "autoDeleteMessageByFlagLimit": 123, "memberCount": 123, "messageCount": 123, "lastActivity": "2023-11-07T05:31:56Z", "avatarFileId": "<string>", "isDeleted": false, "messagePreviewId": "<string>", "isPublic": true, "notificationMode": "default", "attachedTo": { "postId": "<string>", "videoStreamId": "<string>", "roomId": "<string>" } } ], "channelUsers": [ { "userId": "<string>", "userInternalId": "<string>", "userPublicId": "<string>", "channelId": "<string>", "channelInternalId": "<string>", "channelPublicId": "<string>", "membership": "none", "isBanned": true, "lastActivity": "2023-11-07T05:31:56Z", "roles": [ "<string>" ], "permissions": [ "MUTE_CHANNEL" ], "readToSegment": 123, "lastMentionedSegment": 123, "isMuted": true, "muteTimeout": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "messagePreviews": [ { "messageId": "a85dca058f5b585f86a29f14", "channelId": "abc665aed9dbb8d036037eed", "messageFeedId": "507f191e810c19729de860ea", "segment": 123, "dataType": "text", "data": { "text": "test" }, "creatorId": "5349b4ddd2781d08c09890f4", "parentId": "abc665afd7dbb8d036037eea", "isDeleted": false, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "messageFeedsInfo": [ { "messageFeedId": "a85dca058f5b585f86a29f14", "name": "text", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "messagePreviewId": "<string>" } ], "users": [ { "userId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "_id": "<string>", "path": "<string>", "userInternalId": "<string>", "userPublicId": "<string>", "roles": [ "<string>" ], "permissions": [ "MUTE_CHANNEL" ], "displayName": "<string>", "profileHandle": "<string>", "description": "<string>", "avatarFileId": "<string>", "avatarCustomUrl": "<string>", "flagCount": 123, "hashFlag": { "bits": 123, "hashes": 123, "hash": [ "<string>" ] }, "metadata": {}, "isGlobalBan": true, "isBrand": true, "isDeleted": true } ], "files": [ { "fileId": "<string>", "fileUrl": "<string>", "type": "image", "accessType": "public", "altText": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "attributes": { "name": "<string>", "extension": "<string>", "size": 123, "mimeType": "<string>", "metadata": { "exif": {}, "gps": {}, "height": 123, "width": 123, "isFull": true } } } ] }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channelId
string
required

Body

application/json

Information of channel

userIds
string[]
required
Required array length: 1 - 100 elements
Required string length: 1 - 50

Response

Channels Information

channels
object[]
channelUsers
object[]

List of users in channel with membership and role. Normally, it will return only caller as user. However, it will return all users in conversation channel. For ban/unban events, it will return banned users.

messagePreviews
object[]

Depends on messagePreviewId. if null will be empty array.

messageFeedsInfo
object[]

Depends on messagePreviews. if empty array will be empty array.

users
object[]
files
object[]